<template>
  <h1>Accessibility</h1>

  <p>Use <code>.-sr-only</code> to make the element only visible to screen readers.</p>

  <p>Based on this behavior, here are the related responsive helpers:</p>

  <table>
    <thead>
      <tr>
        <th>Class</th>
        <th>Description</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(text, key) in classes" :key="key">
        <td><code>{{ key }}</code></td>
        <td v-html="text" /> <!-- eslint-disable-line vue/no-v-html -->
      </tr>
      <tr>
        <th colspan="2">Responsive variants</th>
      </tr>
      <tr v-for="(text, key) in variants" :key="key">
        <td><code>{{ key }}</code></td>
        <td v-html="text" /> <!-- eslint-disable-line vue/no-v-html -->
      </tr>
    </tbody>
  </table>
</template>

<script>
const classes = {
  '.-sr-only': 'Only visible to screen readers',
}

const variants = {
  '.-sm:sr-only': 'Small screens or more',
  '.-md:sr-only': 'Medium screens or more',
  '.-lg:sr-only': 'Large screens or more',
  '.-sm-l:sr-only': 'Small screens or less',
  '.-md-l:sr-only': 'Medium screens or less',
  '.-lg-l:sr-only': 'Large screens or less',
}

export default {
  name: 'AccessibilityView',
  data () {
    return {
      classes,
      variants,
    }
  },
  created () {
    this.$setTitle('Accessibility')
  },
}
</script>
